Subject: bug#886: 23.0.60; Info-mouse-follow-nearest-node fails

From: Stephen Berman <[email-masked]>
Date: Mon, 15 Sep 2008 11:25:46 +0200

On Mon, 15 Sep 2008 10:34:01 +0200 martin rudalics <[email-masked]> wrote:

> The fix seems to have the following side-effect: In my .emacs I bind
>
>   (define-key Info-mode-map [mouse-1] 'Info-mouse-follow-nearest-node)

> Now when I use mouse-1 to just "select" the Info-window I usually get
>
>   Info-follow-nearest-node: Point neither on reference nor in menu item description
>
> which is annoying :-(
>
> martin

Does the following patch fix it?

*** emacs/lisp/info.el.~1.544.~	2008-09-11 11:49:36.000000000 +0200
--- emacs/lisp/info.el	2008-09-15 11:22:53.000000000 +0200
***************
*** 3123,3129 ****
  	    (Info-goto-node
  	     (Info-extract-menu-item (match-string-no-properties 1)) fork)
  	    t)))
!       (error "Point neither on reference nor in menu item description")))
  
  ;; Common subroutine.
  (defun Info-try-follow-nearest-node (&optional fork)
--- 3123,3130 ----
  	    (Info-goto-node
  	     (Info-extract-menu-item (match-string-no-properties 1)) fork)
  	    t)))
!       (unless (eq this-command 'Info-mouse-follow-nearest-node)
! 	(error "Point neither on reference nor in menu item description"))))
  
  ;; Common subroutine.
  (defun Info-try-follow-nearest-node (&optional fork)

Steve Berman